searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"DepsNix.html","title":"DepsNix","type":"module"},{"doc":"","ref":"DepsNix.html#transform/1","title":"DepsNix.transform/1","type":"function"},{"doc":"","ref":"DepsNix.Derivation.html","title":"DepsNix.Derivation","type":"module"},{"doc":"","ref":"DepsNix.Derivation.html#t:t/0","title":"DepsNix.Derivation.t/0","type":"type"},{"doc":"","ref":"DepsNix.FetchGit.html","title":"DepsNix.FetchGit","type":"module"},{"doc":"","ref":"DepsNix.FetchGit.html#t:t/0","title":"DepsNix.FetchGit.t/0","type":"type"},{"doc":"","ref":"DepsNix.FetchHex.html","title":"DepsNix.FetchHex","type":"module"},{"doc":"","ref":"DepsNix.FetchHex.html#t:t/0","title":"DepsNix.FetchHex.t/0","type":"type"},{"doc":"","ref":"DepsNix.Packages.html","title":"DepsNix.Packages","type":"module"},{"doc":"","ref":"DepsNix.Packages.html#dependency_names/2","title":"DepsNix.Packages.dependency_names/2","type":"function"},{"doc":"","ref":"DepsNix.Packages.html#filter/2","title":"DepsNix.Packages.filter/2","type":"function"},{"doc":"","ref":"DepsNix.Run.html","title":"DepsNix.Run","type":"module"},{"doc":"","ref":"DepsNix.Run.html#call/2","title":"DepsNix.Run.call/2","type":"function"},{"doc":"","ref":"DepsNix.Run.html#parse_args/1","title":"DepsNix.Run.parse_args/1","type":"function"},{"doc":"","ref":"DepsNix.Run.html#t:converger/0","title":"DepsNix.Run.converger/0","type":"type"},{"doc":"","ref":"DepsNix.Run.Options.html","title":"DepsNix.Run.Options","type":"module"},{"doc":"","ref":"DepsNix.Run.Options.html#t:t/0","title":"DepsNix.Run.Options.t/0","type":"type"},{"doc":"","ref":"DepsNix.Util.html","title":"DepsNix.Util","type":"module"},{"doc":"","ref":"DepsNix.Util.html#indent/1","title":"DepsNix.Util.indent/1","type":"function"},{"doc":"","ref":"DepsNix.Util.html#indent/2","title":"DepsNix.Util.indent/2","type":"function"},{"doc":"Creates Nix derivations for Mix dependencies.\n\nWhen run without arguments, generates `deps.nix` in the current directory, but\nonly for `:prod` dependencies.\n\nThe resulting file contains a Nix function that can be called with an empty\nattribute set:\n\n```\npkgs.callPackages ./deps.nix { }\n```\n\nThat attribute set can optionally include overrides, which look like Nix\noverlays:\n\n```\npkgs.callPackages ./deps.nix {\n  overrides = (final: prev: with pkgs.beamPackages; {\n    some_mix_dep = prev.some_mix_dep.override {\n      mixEnv = \"dev\";\n    }\n  };\n}\n```","ref":"Mix.Tasks.Deps.Nix.html","title":"mix deps.nix","type":"task"},{"doc":"This command creates derivations for everything in `:prod`, and only `ex_doc`\nand `credo` in `:dev`. It outputs the Nix expression to `nix/deps.nix`.\n\n```\nmix deps.nix --env prod --env dev=ex_doc,credo --output nix/deps.nix\n```","ref":"Mix.Tasks.Deps.Nix.html#module-example-with-all-options","title":"Example with all options - mix deps.nix","type":"task"},{"doc":"`deps_nix` supports git dependencies.\n\n`builtins.fetchGit` is used, which doesn't require any prefetching and relies\non the git SHA as a unique identifier.","ref":"Mix.Tasks.Deps.Nix.html#module-git-dependencies","title":"Git dependencies - mix deps.nix","type":"task"},{"doc":"# deps_nix\n\nA Mix task that converts Mix dependencies to Nix derivations. Inspired by\n[mix2nix](https://github.com/ydlr/mix2nix).\n\nWhile mix2nix is a function of a `mix.lock`, this project instead uses Mix's\ninternals to allow you to choose packages from certain environments. It also\nsupports git dependencies.","ref":"readme.html","title":"deps_nix","type":"extras"},{"doc":"```elixir\ndef deps do\n  [\n    {:deps_nix, \"~> 0.2.0\"}\n  ]\nend\n```\n\nDocs can be found at  .","ref":"readme.html#installation","title":"Installation - deps_nix","type":"extras"},{"doc":"```shell\nmix deps.nix\n```\n\nBy default, this will generate a deps.nix file in the current directory, using only the `:prod` dependencies for your project.\n\nSee `mix help deps.nix` for more options.","ref":"readme.html#usage","title":"Usage - deps_nix","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}